Chuyển đến nội dung
Diễn đàn CADViet
hotuan

lỗi cắt dim các bác giúp em với.

Các bài được khuyến nghị

em vẽ cad2007 mấy hôm nay làm đồ án mà không cắt được dim, mặc dù đã đi copy rất nhiều lisp về Load rồi lại Remove đi nhưng vẫn không được các bác ạ. Em đã lập 1 bản vẽ mới hoàn toàn để vẽ lại từ đầu khi copy bất kỳ đối tượng nào của bản vẽ trước đã bị lỗi thì bản này cũng bị luôn. Biết vậy nên em không copy nhưng sau mấy ngày vẽ lại

bị tình trạng không cắt dim được. Đi hỏi ra cũng nhiều bạn cùng lớp bị lỗi tương tự như em. Mong các bác dúp em cách khắc phục với ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em vẽ cad2007 mấy hôm nay làm đồ án mà không cắt được dim, mặc dù đã đi copy rất nhiều lisp về Load rồi lại Remove đi nhưng vẫn không được các bác ạ. Em đã lập 1 bản vẽ mới hoàn toàn để vẽ lại từ đầu khi copy bất kỳ đối tượng nào của bản vẽ trước đã bị lỗi thì bản này cũng bị luôn. Biết vậy nên em không copy nhưng sau mấy ngày vẽ lại

bị tình trạng không cắt dim được. Đi hỏi ra cũng nhiều bạn cùng lớp bị lỗi tương tự như em. Mong các bác dúp em cách khắc phục với ạ.

Bản vẽ của bạn đâu? Đưa lên đây mình xem cho

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
đấy là bản vẽ anh xem hộ em. thank anh nhé

http://www.cadviet.com/upfiles/160409.rar

Bạn xem bài viết này sẽ giải quyết được vấn đề.

Có gì không được post lên đây nhé :

http://www.cadviet.com/forum/index.php?sho...amp;#entry58373

Đọc kỹ bạn nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em Load Lisp SIRON.vlx của bác rồi nhưng vẫn không được

tại dòng command ghi:

Command: ap APPLOAD CUTDIM.LSP successfully removed from the history list.

SIron.vlx successfully removed from the history list.

SIron.vlx successfully loaded.

Command:

SuperIron © 2007 - CADViet.com

Su dung lenh SuperIron de bat dau!

HLisp da tai len thanh cong!

Command:

Command:

Command: ap APPLOAD CUTDIM.LSP successfully loaded.

Command:

Command:

Command: cd Please select dimension object!

Select objects: Specify opposite corner: 12 found

Select objects: Point to trim or extend:

Error: bad DXF group: (14)

bác xem lai hộ em nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em Load Lisp SIRON.vlx của bác rồi nhưng vẫn không được

tại dòng command ghi:

Command: ap APPLOAD CUTDIM.LSP successfully removed from the history list.

SIron.vlx successfully removed from the history list.

SIron.vlx successfully loaded.

Command:

SuperIron © 2007 - CADViet.com

Su dung lenh SuperIron de bat dau!

HLisp da tai len thanh cong!

Command:

Command:

Command: ap APPLOAD CUTDIM.LSP successfully loaded.

Command:

Command:

Command: cd Please select dimension object!

Select objects: Specify opposite corner: 12 found

Select objects: Point to trim or extend:

Error: bad DXF group: (14)

bác xem lai hộ em nhé

Bạn phải gõ lệnh superiron trước khi sử dụng lệnh cắt dim đã chứ

Command: superiron

 

Super Iron © 2007 CADViet.com.

Xu ly duoc: LWPOLYLINE, DIMENSION, MTEXT, TEXT, HATCH, ARC, CIRCLE, ATTDEF,

ATTRIB, IMAGE, ELLIPSE, SHAPE, POINT, SOLID, 3DFACE, LINE, SPLINE, RAY, XLINE,

BLOCK

Ban co muon chay khong? (Co/<Khong>):C : gõ C enter

.regen Regenerating model.

 

Bây giwò mới sử dụng lệnh cắt dim

Chúc thành công

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vấn đề ở đây là do bản vẽ của bạn các đối tượng có cao độ khác 0. Nếu đưa cao độ về = 0 thì bạn dim sau đó cutdim bình thường. Lỗi này gây ra do lúc pick điểm thì điểm pick có Z=0 nhưng các điểm chân đim lại có Z khác 0. Vì vậy hàm Inters của lisp catdim này không tìm ra giao điểm. Cái này sửa lisp 1 tý là dùng được ngon lành. Bạn đợi tý nữa mình có thời gian rỗi mình up file cutdim sửa lên cho.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vấn đề ở đây là do bản vẽ của bạn các đối tượng có cao độ khác 0. Nếu đưa cao độ về = 0 thì bạn dim sau đó cutdim bình thường. Lỗi này gây ra do lúc pick điểm thì điểm pick có Z=0 nhưng các điểm chân đim lại có Z khác 0. Vì vậy hàm Inters của lisp catdim này không tìm ra giao điểm. Cái này sửa lisp 1 tý là dùng được ngon lành. Bạn đợi tý nữa mình có thời gian rỗi mình up file cutdim sửa lên cho.

Bạn thử dùng lisp cutdim này xem có bị lỗi không. Mình đã sửa một chút code của nó.

http://www.cadviet.com/upfiles/CUTDIM_4.lsp

Hy vọng ngon lành :(

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn phải gõ lệnh superiron trước khi sử dụng lệnh cắt dim đã chứ

Command: superiron

 

Super Iron © 2007 CADViet.com.

Xu ly duoc: LWPOLYLINE, DIMENSION, MTEXT, TEXT, HATCH, ARC, CIRCLE, ATTDEF,

ATTRIB, IMAGE, ELLIPSE, SHAPE, POINT, SOLID, 3DFACE, LINE, SPLINE, RAY, XLINE,

BLOCK

Ban co muon chay khong? (Co/<Khong>):C : gõ C enter

.regen Regenerating model.

 

Bây giwò mới sử dụng lệnh cắt dim

Chúc thành công

bản cad của em đã cắt dim ngon lành phở em cảm ơn các bác rất rất nhiều. Cuộc đời em vui tươi khi có các bác thank.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn phải gõ lệnh superiron trước khi sử dụng lệnh cắt dim đã chứ

Command: superiron

 

Super Iron © 2007 CADViet.com.

Xu ly duoc: LWPOLYLINE, DIMENSION, MTEXT, TEXT, HATCH, ARC, CIRCLE, ATTDEF,

ATTRIB, IMAGE, ELLIPSE, SHAPE, POINT, SOLID, 3DFACE, LINE, SPLINE, RAY, XLINE,

BLOCK

Ban co muon chay khong? (Co/<Khong>):C : gõ C enter

.regen Regenerating model.

 

Bây giwò mới sử dụng lệnh cắt dim

Chúc thành công

bản cad của em đã cắt dim ngon lành phở em cảm ơn các bác rất rất nhiều. Cuộc đời em vui tươi khi có các bác thank.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn thử dùng lisp cutdim này xem có bị lỗi không. Mình đã sửa một chút code của nó.

http://www.cadviet.com/upfiles/CUTDIM_4.lsp

Hy vọng ngon lành :bigsmile:

Nhờ bác Nataca chỉnh nốt lisp căn hàng lisp thẳng nhau (lệnh BD) để cho nó cũng dùng được cho các Dim có Z khác 0 (giống như lisp CD trên bác viết ấy), cảm ơn bác rất nhiều@

(DEFUN C:BD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI
               PT10 PT10I PT10N O10 N10 PT11 PT11N O11 N11 KC OSM OLDERR)
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETQ OLDERR *error*
     *error* myerror)
(PRINC "Please select dimension object!")
(SETQ SS (SSGET))
(SETVAR "CMDECHO" 0)
(SETQ PT (GETPOINT "Point to trim or extend:"))
(SETQ PT (TRANS PT 1 0))
(COMMAND "UCS" "W")
(SETQ LTH (SSLENGTH SS))
(SETQ DEM 0)
(WHILE (< DEM LTH)
   (PROGN
(SETQ DS (ENTGET (SSNAME SS DEM)))
(SETQ KDL (CDR (ASSOC 0 DS)))
(IF (= "DIMENSION" KDL)
   (PROGN
	(SETQ PT13 (CDR (ASSOC 13 DS)))
	(SETQ PT14 (CDR (ASSOC 14 DS)))
	(SETQ PT10 (CDR (ASSOC 10 DS)))
	(SETQ PT11 (CDR (ASSOC 11 DS)))
	(SETQ N70 (CDR (ASSOC 70 DS)))
	(IF (OR (= N70 0) (= N70 32) (= N70 33) (= N70 160) (= N70 161))
	   (PROGN
		(SETQ GOCY (ANGLE PT10 PT14))
		(SETQ GOCX (+ GOCY (/ PI 2)))
	   )
	)
	(SETVAR "OSMODE" 0)
	(SETQ PTI (POLAR PT GOCX 2))
	(SETQ PT10I (POLAR PT10 GOCY 2))
	(SETQ PT10N (INTERS PT PTI PT10 PT10I NIL))
	(SETQ KC (DISTANCE PT10 PT10N))
	(SETQ O10 (ASSOC 10 DS))
	(SETQ N10 (CONS 10 PT10N))
	(SETQ DS (SUBST N10 O10 DS))
	(SETQ PT11N (POLAR PT11 (ANGLE PT10 PT10N) KC))
	(SETQ O11 (ASSOC 11 DS))
	(SETQ N11 (CONS 11 PT11N))
	(SETQ DS (SUBST N11 O11 DS))
	(ENTMOD DS)
   )
)
(SETQ DEM (+ DEM 1))
   )
)
(COMMAND "UCS" "P")
(SETVAR "CMDECHO" CMD)
(SETVAR "OSMODE" OSM)
(setq *error* OLDERR)
(PRINC)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn phải gõ lệnh superiron trước khi sử dụng lệnh cắt dim đã chứ

Command: superiron

 

Super Iron © 2007 CADViet.com.

Xu ly duoc: LWPOLYLINE, DIMENSION, MTEXT, TEXT, HATCH, ARC, CIRCLE, ATTDEF,

ATTRIB, IMAGE, ELLIPSE, SHAPE, POINT, SOLID, 3DFACE, LINE, SPLINE, RAY, XLINE,

BLOCK

Ban co muon chay khong? (Co/<Khong>):C : gõ C enter

.regen Regenerating model.

 

Bây giwò mới sử dụng lệnh cắt dim

Chúc thành công

 

Bác này trả lời chuẩn nhất forum, thanks bác nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh Chị cho em hỏi luôn một chút về lisp Superion với ạ

Trong bản vẽ của em có trường hợp em dùng filter trên vùng bản vẽ đèn, cùng 1 bản vẽ có chỗ em filter hai đoạn thẳng không được, nhưng khi move 2 đoạn thẳng đó sang chỗ khác filter với bán kính R=300 thì ngon lành.

 

Nhưng sau khi dùng Lisp trên em đã làm được trên toàn 1 bộ bản vẽ.

 

Vậy, Anh Chị có thể giải thích rõ hơn? tại sao lại như vậy? và Lisp trên có tác dụng gì??? em cảm ơn Anh Chị nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×